﻿:root {
    /* fill btn */
    --btn-block-color: #006aa8;
    --btn-block-active-color: #004668;

    /* Outline btn */
    --btn-outline-border-color: #0000001f;
    --btn-outline-text-color: #006aa8;
    --btn-outline-border-active-color: #006aa80d;

    /* Radio or Light button color */
    /* --btn-block-light-color: #fff; */
    --btn-block-active-light-color: #337ad014;

    /* Size */
    --top-bar-size: 8.2vh;
    --rainbow-bar-size: 25vh;
    --title-bar-size: 10.5vh;

    /* Error Color */
    --error-text-color: #b00020;

    /* LINK COLOR */
    --link-text-color: #006AA7;
}
/* @font-face {
    font-family: "Roboto";
    src: url("/fonts/Roboto-Regular.eot");
    src: url("/fonts/Roboto-Regular.eot?#iefix") format('embedded-opentype'),
         url("/fonts/Roboto-Regular.woff2") format('woff2'),
         url("/fonts/Roboto-Regular.woff") format('woff'),
         url("/fonts/Roboto-Regular.ttf") format('truetype');
    font-weight: 400;
    font-style: normal;
} */
/** CSS Code Start **/
body {
    font-family:'Roboto' !important;
   }
input {
    font-family: 'Roboto' !important;
}
.main-container {
    font-family: "Roboto", sans-serif;
    background: #fff;
    min-height: calc(100 - var(--top-bar-size)) vh;
}
.main-container-boxed {
    font-family: "Roboto", sans-serif;
    background: var(--container-bg-color, #f4f4f4);
    min-height: calc(100 - var(--top-bar-size)) vh;
}
.no-bg {
    min-height: 100vh;
}
.topbar {
    height: auto;
    display: flex;
    background-color: #fff;
    justify-content: space-between;
}
.topbar img {
    max-width: 350px;
    height: auto;
}
.dual {
    border-bottom: 1px solid #70707038;
}
.person-logo-icon {
    padding: 10px;
}
#uni-logout-icon-topbar {
	cursor: pointer;
}
.uni-rainbow {
    height: var(--rainbow-bar-size);
    background: transparent linear-gradient(98deg, #009639 0%, #00A1B0 100%) 0% 0% no-repeat padding-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.uni-page-title {
    height: var(--title-bar-size);
    background: white;
    align-items: center;
}
.uni-rainbow-user {
    justify-content: center;
    align-items: center;
    display: flex;
    width: 60px;
    height: 60px;
}
.uni-rainbow-heading {
    text-align: center;
    font-size: 18px;
    color: #FFFFFFDE;
    letter-spacing: 0.4px;
}
.uni-rainbow-heading span {
    font-weight: bold;
}
.bg-img {
    background: url(https://stb2cst.blob.core.windows.net/b2cprodcssfiles/images%2Fsidebar_img.png)
        top left repeat;
    background-size: cover;
    top: 0;
    bottom: 0;
    opacity: 1;
    z-index: 999;
    min-height: 100vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    background-position: center center;
}
.bg-img:before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgb(0 70 104 / 25%);
}
.slice-screen {
    justify-content: center;
    align-items: center;
    min-width: 100%;
    min-height: calc(100vh - var(--top-bar-size));
}
.content {
    width: 450px;
}
.content-box {
    width: 100%;
    min-height: calc(100vh - var(--top-bar-size));
    display: flex;
    justify-content: center;
    align-items: center;
}
.titled-page {
    min-height: calc(100vh - var(--top-bar-size) - var(--title-bar-size));
}
.content-box-rainbow {
    /* width: 100%; */
    min-height: calc(100vh - var(--top-bar-size)  - var(--rainbow-bar-size));
    display: flex;
    /* justify-content: center;
    align-items: center; */
}
.form-box {
    background-color: #fff;
    padding: 20px 18px;
    margin-top: 10px;
    margin-bottom: 10px;
    width: 450px;
    border-radius: 5px;
}
.sm-box-no-bg {
    background-color: transparent;
    width: 375px;
}
/* Modal */
#staticModalButton {
    display: none;
}
.uni-modal-loader {
    display: flex;
    justify-content: center;
}
/****************************/
/* ELEMENTS */
/***************************/
a {
    color: var(--link-text-color);
}
.buttons {
    overflow: hidden; /*to stop the button flicker when it is being clicked*/
}
.verifying-modal {
    display: none;
}

.uni-large-loader {
    width: 3rem;
    height: 3rem;
}
.uni-button-loader {
    height: 15px;
    width: 15px;
}

.uni-input-field {
    margin-top: 34px;
}
.uni-block-btn {
    /* margin-top: max(120px, 25%); */
    margin-top: 50px;
    margin-bottom: 17px;
    background-color: var(--btn-block-color);
    box-shadow: none;
}
.uni-block-btn.disabled {
    background-color: var(--btn-block-color);
}
.uni-block-btn:hover {
    background-color: var(--btn-block-active-color);
    box-shadow: none;
}
.uni-block-btn:focus {
    background-color: var(--btn-block-active-color);
    box-shadow: none;
}
.uni-block-btn:active {
    background-color: var(--btn-block-active-color);
    box-shadow: none;
}
.btn-check:checked + .btn-primary {
    background-color: var(--btn-block-color);
    box-shadow: none;
}
.btn-check:checked + .btn-light {
    background-color: var(--btn-block-active-light-color);
    box-shadow: 0px 2px 4px 0px rgb(0 0 0 / 25%);
}
.btn-light.focus,
.btn-light:focus,
.btn-light:hover {
    background-color: var(--btn-block-active-light-color);
    box-shadow: 0px 2px 4px 0px rgb(0 0 0 / 25%);
}

.uni-outline-btn {
    border: 2px solid var(--btn-outline-border-color);
    color: var(--btn-outline-text-color);
    box-shadow: none;
}
.uni-outline-btn:focus {
    border-color: var(--btn-outline-border-active-color);
    box-shadow: none;
}
.uni-outline-btn:hover {
    border-color: var(--btn-outline-border-active-color);
    background-color: var(--btn-block-active-light-color);
    color: var(--btn-outline-text-color);
    box-shadow: none;
}
.uni-outline-btn:active {
    border-color: var(--btn-outline-border-color);
    box-shadow: none;
}
.center-btn-collection-set {
    justify-content: space-between;
    display: flex;
    flex-direction: row-reverse;
    margin-top: 35px;
}
.center-btn-collection-set button{
    width: 49%;
}
.center-btn-collection-set .uni-outline-btn {
    margin: 10px 0;
}
.intro-hr {
    border: 0;
    height: 1px;
    background: #333;
    opacity: 0.1;
    background-image: linear-gradient(to right, #ccc, #333, #ccc);
}
.uni-screen-big-heading-1 {
    color: #006AA7;
    font-size: 30px;
    font-weight: 800;
    line-height: 35px;
}
.uni-screen-intro-heading {
    font-size: 28px;
    color: #000000de;
}
.uni-screen-intro-heading-2 {
    font-size: 24px;
    color: #000000de;
    font-weight: 500;
}
.uni-screen-intro-subheading {
    font-size: 16px;
    color: #7b7b7bde;
    font-weight: 400;
}
.uni-screen-page-content-text {
    color: #848484;
    size: 15px;
}
.number_heading {
    display: inline-block;
    margin-bottom: 0px;
    font-weight: 500;
    font-size: 1.1em;
    color: #555555de;
}

.uni-ul {
    padding-left: 0px;
    list-style-type: none;
}

.uni-radio {
    padding: 0.8rem;
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 20%), 0 2px 0px 0 rgb(0 0 0 / 10%);
}

.uni-error-text,
.uni-error-text p {
    color: var(--error-text-color);
    font-weight: 800;
    font-size: 0.75rem;
}

.uni-error-text p::before {
    content: "ⓘ ";
    font-weight: 800;
}

.uni-input-invalid-error {
    margin-top: 1px;
}

@media (max-width: 767px) {
    .main-container-boxed {
        background-color: #fff;
    }
    .no-bg {
        background: var(--container-bg-color, #f4f4f4);
    }
    .topbar {
        border-bottom: 1px solid #70707038;
        justify-content: center;
    }
    .dual {
        justify-content: space-between;
    }
    .slice-screen {
        align-items: flex-start;
    }
    .form-sliced {
        margin-top: 10px;
        margin-bottom: 10px;
    }
    .intro-hr {
        display: none;
    }
    .content,
    .content-box {
        min-width: 100px;
        min-height: 100px;
    }
    .content {
        margin-top: 15%;
        margin-bottom: 10%;
        padding: 0 20px;
    }
    .bg-img {
        display: none;
    }
    .azure-form-box {
        max-width: 475px;
        background: #fff;
    }
}

@media (max-width: 767px)
.topbar {

 margin-top:40px !important;

}
.logon{
	display: block;
    width: 120px !important;
    margin-top: 25px;
}

#AgreeToMFADisclaimer_option {
    padding-left: 0.25rem;
}
i.fa-eye,  i.fa-eye-slash{
    position: absolute !important;
    right: 18px !important;
    float:right;
    top: 6px !important;
    cursor: pointer;
    width: 25px;
    height: 25px;
    background-color: #f4f4f4 !important;
    align-content: center;
  }
  

::-ms-reveal, ::-ms-clear {
    display: none;
}

/*
INPUT WITH ICON STYLING
*/

.input-with-icon {
    position: relative;
}

.input-with-icon input, .input-with-icon select {
    padding-right: 62.5px;
}

.input-with-icon.input-small input, .input-with-icon.input-small select {
    padding-right: 32px;
}

.input-icon-div {
    height: 51px;
    border-radius: 6px;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    position: absolute;
    right: 5px;
    bottom: -2px;
    cursor: pointer;
}

.input-small .input-icon-div {
    font-size: 14px;
    height: 27px;
    width: 25px;
}